<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ms_instansi', function (Blueprint $table) {
            $table->id('MsInstansiId');
            $table->string('parent');
            $table->string('name');
            $table->text('alamat')->nullable();
            $table->text('website')->nullable();
            $table->text('telp')->nullable();
            $table->string('logo')->nullable();
            $table->timestampsTz();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('table_instansi');
    }
};
